Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.soap
Class SoapMessageBuilder

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.soap.SoapMessageBuilder

All Implemented Interfaces:
  MessageBuilder

    public class SoapMessageBuilder

extends java.lang.Object
implements MessageBuilder

Builds SOAP requests according to WSDL/XSD definitions

Author:
  Ole.Matzura

Constructor Summary
`SoapMessageBuilder(WsdlContext wsdlContext)`
`SoapMessageBuilder(WsdlInterface iface)`

Method Summary
`java.lang.String` | `buildEmptyFault()`
`static java.lang.String` | `buildEmptyFault(SoapVersion soapVersion)`
`java.lang.String` | `buildEmptyMessage()`
`static java.lang.String` | `buildEmptyMessage(SoapVersion soapVersion)`
`java.lang.String` | `buildFault(MessagePart.FaultPart faultPart)`
`java.lang.String` | `buildFault(java.lang.String faultcode, java.lang.String faultstring)`
`static java.lang.String` | `buildFault(java.lang.String faultcode, java.lang.String faultstring, SoapVersion soapVersion)`
`Request` | `buildRequest(Operation operation, java.util.Map params)`
`java.lang.String` | `buildSoapRequest(javax.wsdl.BindingOperation bindingOperation, boolean buildOptional)`
`java.lang.String` | `buildSoapResponse(javax.wsdl.BindingOperation bindingOperation, boolean buildOptional)`
`void` | `createElementForPart(javax.wsdl.Part part, org.apache.xmlbeans.XmlCursor cursor, SampleXmlUtil xmlGenerator)`
`Interface` | `getInterface()`
`SoapVersion` | `getSoapVersion()`
`void` | `setInterface(WsdlInterface iface)`
`void` | `setWsdlContext(WsdlContext wsdlContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapMessageBuilder

    public SoapMessageBuilder(WsdlInterface iface)
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

### SoapMessageBuilder

    public SoapMessageBuilder(WsdlContext wsdlContext)

Method Detail

### getInterface

    public Interface getInterface()

  Specified by:
    `getInterface` in interface `MessageBuilder`

### buildFault

    public java.lang.String buildFault(java.lang.String faultcode,
                                       java.lang.String faultstring)

### getSoapVersion

    public SoapVersion getSoapVersion()

### buildFault

    public static java.lang.String buildFault(java.lang.String faultcode,
                                              java.lang.String faultstring,
                                              SoapVersion soapVersion)

### buildEmptyFault

    public java.lang.String buildEmptyFault()

### buildEmptyFault

    public static java.lang.String buildEmptyFault(SoapVersion soapVersion)

### buildEmptyMessage

    public java.lang.String buildEmptyMessage()

### buildEmptyMessage

    public static java.lang.String buildEmptyMessage(SoapVersion soapVersion)

### buildRequest

    public Request buildRequest(Operation operation,
                                java.util.Map params)

  Specified by:
    `buildRequest` in interface `MessageBuilder`

### buildSoapRequest

    public java.lang.String buildSoapRequest(javax.wsdl.BindingOperation bindingOperation,
                                             boolean buildOptional)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createElementForPart

    public void createElementForPart(javax.wsdl.Part part,
                                     org.apache.xmlbeans.XmlCursor cursor,
                                     SampleXmlUtil xmlGenerator)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setWsdlContext

    public void setWsdlContext(WsdlContext wsdlContext)

### setInterface

    public void setInterface(WsdlInterface iface)

### buildSoapResponse

    public java.lang.String buildSoapResponse(javax.wsdl.BindingOperation bindingOperation,
                                              boolean buildOptional)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### buildFault

    public java.lang.String buildFault(MessagePart.FaultPart faultPart)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.